# Uses of Class
org.jboss.classfilewriter.constpool.ConstPool

Packages that use ConstPool
Package
Description
org.jboss.classfilewriter
org.jboss.classfilewriter.annotations
org.jboss.classfilewriter.attributes
org.jboss.classfilewriter.code

## Uses of ConstPool in org.jboss.classfilewriter

Methods in org.jboss.classfilewriter that return ConstPool
Modifier and Type
Method
Description
`ConstPool`
ClassFile.`getConstPool()`

## Uses of ConstPool in org.jboss.classfilewriter.annotations

Methods in org.jboss.classfilewriter.annotations with parameters of type ConstPool
Modifier and Type
Method
Description
`static ClassAnnotation`
AnnotationBuilder.`createAnnotation(ConstPool constPool, Annotation annotation)`
`static AnnotationValue`
AnnotationBuilder.`createValue(ConstPool constPool, String name, Object value)`
Constructors in org.jboss.classfilewriter.annotations with parameters of type ConstPool
Modifier
Constructor
Description
``
`AnnotationAnnotationValue(ConstPool constPool, String name, ClassAnnotation value)`
``
`AnnotationsAttribute(AnnotationsAttribute.Type type, ConstPool constPool)`
`protected`
`AnnotationValue(ConstPool constPool, String name)`
``
`ArrayAnnotationValue(ConstPool constPool, String name, List<AnnotationValue> value)`
``
`BooleanAnnotationValue(ConstPool constPool, String name, boolean value)`
``
`ByteAnnotationValue(ConstPool constPool, String name, byte value)`
``
`CharAnnotationValue(ConstPool constPool, String name, char value)`
``
`ClassAnnotation(ConstPool constPool, String type, List<AnnotationValue> annotationValues)`
``
`ClassAnnotationValue(ConstPool constPool, String name, Class<?> value)`
``
`ClassAnnotationValue(ConstPool constPool, String name, String descriptor)`
``
`DoubleAnnotationValue(ConstPool constPool, String name, double value)`
``
`EnumAnnotationValue(ConstPool constPool, String name, Enum<?> value)`
``
`EnumAnnotationValue(ConstPool constPool, String name, String enumType, String enumValue)`
``
`FloatAnnotationValue(ConstPool constPool, String name, float value)`
``
`IntAnnotationValue(ConstPool constPool, String name, int value)`
``
`LongAnnotationValue(ConstPool constPool, String name, long value)`
``
`ParameterAnnotationsAttribute(ParameterAnnotationsAttribute.Type type, ConstPool constPool, int noParameters)`
``
`ShortAnnotationValue(ConstPool constPool, String name, short value)`
``
`StringAnnotationValue(ConstPool constPool, String name, String value)`

## Uses of ConstPool in org.jboss.classfilewriter.attributes

Fields in org.jboss.classfilewriter.attributes declared as ConstPool
Modifier and Type
Field
Description
`protected final ConstPool`
Attribute.`constPool`
Constructors in org.jboss.classfilewriter.attributes with parameters of type ConstPool
Modifier
Constructor
Description
``
`Attribute(String name, ConstPool constPool)`
``
`ExceptionsAttribute(ConstPool constPool)`
``
`SignatureAttribute(ConstPool constPool, String signature)`
``
`StackMapTableAttribute(ClassMethod classMethod, ConstPool constPool)`

## Uses of ConstPool in org.jboss.classfilewriter.code

Methods in org.jboss.classfilewriter.code that return ConstPool
Modifier and Type
Method
Description
`ConstPool`
CodeAttribute.`getConstPool()`
Methods in org.jboss.classfilewriter.code with parameters of type ConstPool
Modifier and Type
Method
Description
`static StackEntry`
StackEntry.`of(String descriptor, ConstPool pool)`
Constructors in org.jboss.classfilewriter.code with parameters of type ConstPool
Modifier
Constructor
Description
``
`CodeAttribute(ClassMethod method, ConstPool constPool)`
``
`LocalVariableState(ConstPool pool, String... entries)`
``
`StackEntry(StackEntryType type, String descriptor, ConstPool pool)`
``
`StackState(String exceptionType, ConstPool constPool)`
``
`StackState(ConstPool constPool)`